# Module `aioimmich.people.models`

aioimmich people models.

## Classes

`class ImmichPerson (person_id: str,
is_hidden: bool | None,
name: str,
thumbnail_path: str,
birth_date: datetime | None = None,
color: str | None = None,
is_favorite: bool | None = None,
updated_at: datetime | None = None)`
  Expand source code

      @dataclass
      class ImmichPerson(DataClassJSONMixin):
          """Representation of an immich person."""

          # non-default parameters
          person_id: str = field(metadata=field_options(alias="id"))
          is_hidden: bool | None = field(metadata=field_options(alias="isHidden"))
          name: str
          thumbnail_path: str = field(metadata=field_options(alias="thumbnailPath"))

          # default parameters
          birth_date: datetime | None = field(
              metadata=field_options(alias="birthDate"), default=None
          )
          color: str | None = field(default=None)
          is_favorite: bool | None = field(
              metadata=field_options(alias="isFavorite"), default=None
          )
          updated_at: datetime | None = field(
              metadata=field_options(alias="updatedAt"), default=None
          )

  Representation of an immich person.

  ### Ancestors

  - mashumaro.mixins.json.DataClassJSONMixin
  - mashumaro.mixins.dict.DataClassDictMixin

  ### Static methods

  `def from_dict(d, *, dialect=None)`

  ### Instance variables

  `var birth_date : datetime.datetime | None`
  `var color : str | None`
  `var is_favorite : bool | None`
  `var is_hidden : bool | None`
  `var name : str`
  `var person_id : str`
  `var thumbnail_path : str`
  `var updated_at : datetime.datetime | None`

  ### Methods

  `def to_dict(self)`